%global to_exclude %{python2_sitearch}/.*\\.so
Name:		openteacher		
Version:	3.2
Release:	1%{?dist}
Summary:	An application that helps you learn a foreign language		
License:	GPLv3+
URL:		http://www.openteacher.org
Source0:	https://launchpad.net/openteacher/3.x/%{version}/+download/%{name}-%{version}-source.tar.gz
Source1:	openteacher.1
BuildRequires:	python2-devel
BuildRequires:	desktop-file-utils
Requires:	PyQt4
Requires:	espeak
Requires:	shared-mime-info
Requires:	pyttsx

%description
OpenTeacher has the following features:
- Smart question asking and interval training
- Think answer, shuffle answer and repeat answer input modes
- Easy symbol, Greek and Cyrillic input
- Read and write T2K (Teach2000), WRTS and read ABBYY Lingvo Tutor files
- Save and open your online WRTS lists
- Print your word lists
- Available in different languages

%prep
%setup -q -c

# Remove bundled pyttsx
rm -rf openteacher/modules/org/openteacher/textToSpeech/tts/pyttsx/

sed -i -e 's/3.2/1.0/' linux/openteacher.desktop
sed -i -e '/translations/d' setup.py

for file in `find openteacher -type f -name '*.py'`; do
    sed -i -e 's/\r$//g'  $file
done

for file in `find openteacher -type f -name '*.html' -or -name '*.xml' -or -name '*.templ'`; do
    sed -i -e '1,1 s/^#!/##/g'  $file
done



#the file license is not listed in the root directory, copy to
cp -p openteacher/modules/org/openteacher/metadata/license.txt license.txt


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}




for file in `find %{buildroot}/%{python2_sitearch}/%{name} -type f ! -perm /a+x -name '*.py'`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v a+x $file
 done

chmod +x %{buildroot}/%{python2_sitearch}/%{name}/pyratemp.py
chmod +x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/admin_files/js/compress.py
chmod +x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/manage.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/dateutil.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/settings.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/dummy.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/voice.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/testserver/models.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/engine.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/urls.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/testserver/__init__.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/sapi5.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/espeak.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/__init__.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/codeDocs/rst-directive.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/modulesTest/fileToImport.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/_espeak.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/testserver/views.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/driver.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/testserver/forms.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/auth.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/__init__.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/testserver/urls.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/drivers/nsss.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/modules/org/openteacher/testserver/ot_testserver/__init__.py
chmod -x %{buildroot}/%{python2_sitearch}/%{name}/pyttsx/__init__.py

find %{buildroot} -name "*.po" | xargs rm -f
find %{buildroot} -name "*.pot" | xargs rm -f


(cd %{buildroot} && find . -name '*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/translations/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> openteacher.lang


install -d %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	linux/%{name}.desktop

install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
install -m 644 linux/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/

install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes
install -m 644 linux/application*.png %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 linux/%{name}.xml %{buildroot}%{_datadir}/mime/packages/

install -d %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f openteacher.lang
%doc license.txt
%{_bindir}/%{name}
%{python2_sitearch}/OpenTeacher-*.egg-info
%{python2_sitearch}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/mimetypes/application*.png
%{_datadir}/menu/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/openteacher.1*


%changelog
* Mon Dec 29 2014 Eduardo Echeverria  <echevemaster@gmail.com> - 3.2-1
- Update to 3.2 version

* Mon Sep 08 2014 Rex Dieter <rdieter@fedoraproject.org> 3.0-6
- update mime scriptlet, fix icon scriptlet

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 3.0-2
- Add missing dependency 

* Fri Nov 02 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 3.0-1
- Update to version 3.0
- Added patch to build against systemwide pyttsx made by Toshio Kuratomi

* Sat Sep 29 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 2.3-2
- Implements desktop-file-install

* Sat Sep 29 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 2.3-1
- Initial packaging
